<!doctype html>
<html lang="en">

<head>
   <!-- Required meta tags -->
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <!-- Bootstrap CSS -->
   <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
   <!-- Font Awesome-->
   <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
   <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.13.0/css/all.css">
   <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.9.0/js/all.min.js"></script>
   <!-- Font -->
   <link rel="preconnect" href="https://fonts.gstatic.com">
   <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
   <link rel="stylesheet" href="views/assets/css/beranda.css">
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
   <script src="views/assets/js/script.js"></script>
   <title>Hello, Atika!</title>
</head>

<body>

   <!-- Navbar -->
   <section class="navigasi">
      <nav class="navbar navbar-expand-lg navbar-beranda">
         <div class="container">
            <a class="navbar-brand" href="#">
               <img src="views/assets/images/banner/logo.svg" alt="" width="140">
            </a>
            <!-- navbar kanan -->
            <div class="collapse navbar-collapse flex-grow-1 text-right" id="myNavbar">
               <ul class="navbar-nav navbar-right ml-auto flex-nowrap">
                  <li class="nav-item">
                     <div class="search"> <input type="text" class="form-control" placeholder="Cari"> <button
                           class="btn-search "><i class="fa fa-search"></i></button> </div>
                  </li>
                  <li class="nav-item">
                     <div class="circle-button"><i class="far fa-bell"></i></div>
                  </li>
                  <li class="nav-item">
                     <a class="nav-link" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                        <img src="https://s3.eu-central-1.amazonaws.com/bootstrapbaymisc/blog/24_days_bootstrap/fox.jpg"
                           class="img-circle">
                     </a>
                     <div class="dropdown-menu">
                        <div class="profile-wrap">
                           <a class="dropdown-pict" id="coba" href="#"> <img
                                 src="https://s3.eu-central-1.amazonaws.com/bootstrapbaymisc/blog/24_days_bootstrap/fox.jpg"
                                 class="img-circle-big"> </a>
                           <div class="setting-title">Nama <br> asasass </div>
                        </div>
                        <div class="menu-profile">
                           <a class="dropdown-item" href="/profile"> View Info Profile</a>
                           <a class="dropdown-item" href="#">Berlangganan</a>
                           <a class="dropdown-item" href="/logout">Logout</a>
                        </div>
                     </div>
                  </li>
               </ul>
            </div>
         </div>
      </nav>
   </section>

   <section class="isi">
      <div class="container">
         <!-- SubNavbar Poin,Filter,Kategori -->
         <div class="row">
            <div class="col-lg-3">
               <div class="panel panel-default">
                  <div class="poin-text">
                     Poin yang terkumpul : &emsp; &emsp; &emsp; &emsp; &emsp; 65
                  </div>
                  <!-- Filter -->
                  <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                     <div class="panel-heading" role="tab" id="headingOne">
                        <h4 class="panel-title">
                           <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne"
                              aria-expanded="true" aria-controls="collapseOne">
                              Filter
                           </a>
                        </h4>
                     </div>
                     <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel"
                        aria-labelledby="headingOne">
                        <div class="panel-body">
                           <h6>Tampilkan berdasarkan : </h6>
                           <button class="btn btn-tampilan" type="submit">All</button>
                           <button class="btn btn-tampilan" type="submit">Pertanyaan Belum Terjawab</button>
                           <button class="btn btn-tampilan" type="submit">Pertanyaan Sudah Terjawab</button>
                           <button class="btn btn-tampilan" type="submit">Forum Diskusi</button> <br>
                           <div class="filter-box">
                              <h6>Program Studi</h6>
                              <div class="program-dropdown">
                                 <select name="program" class="form-control" id="form-program" onfocus='this.size=5;'
                                    onblur='this.size=1;' onchange='this.size=10; this.blur();'>
                                    <option class="pilih-program" value="" selected>--Pilih Program--</option>
                                    <option class="pilih-program" value="1">Matematika</option>
                                    <option class="pilih-program" value="2">Fisika</option>
                                    <option class="pilih-program" value="3">Ekonomi</option>
                                    <option class="pilih-program" value="4">Desain</option>
                                    <option class="pilih-program" value="5">Kripto</option>
                                 </select>
                              </div>
                           </div>
                           <div class="filter-box">
                              <h6>Mata Kuliah</h6>
                              <div class="matkul-dropdown">
                                 <select name="matkul" class="form-control" id="form-matkul" onfocus='this.size=5;'
                                    onblur='this.size=1;' onchange='this.size=10; this.blur();'>
                                    <option class="pilih-matkul" value="" selected>--Pilih matkul--</option>
                                    <option class="pilih-matkul" value="1">Matematika</option>
                                    <option class="pilih-matkul" value="2">Fisika</option>
                                    <option class="pilih-matkul" value="3">Ekonomi</option>
                                    <option class="pilih-matkul" value="4">Desain</option>
                                    <option class="pilih-matkul" value="5">Kripto</option>
                                 </select>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <!-- Kategori -->
                  <div class="panel-heading" role="tab" id="headingTwo">
                     <h4 class="panel-title">
                        <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion"
                           href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                           Kategori
                        </a>
                     </h4>
                  </div>
                  <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
                     <ul style="list-style-type:none; padding: 0;">
                        <li class="list-kategori"> <a href="#" style="color:#1A1A1A"> nomorrr satuuuu </a> </li>
                        <li class="list-kategori"> <a href="#" style="color:#1A1A1A"> nomorrr satuuuu </a></li>
                        <li class="list-kategori"> <a href="#" style="color:#1A1A1A"> nomorrr satuuuu </a> </li>
                        <li class="list-kategori"> <a href="#" style="color:#1A1A1A"> nomorrr satuuuu </a> </li>
                     </ul>
                  </div>
               </div>
            </div>


            <!-- Isi Beranda -->
            <div class="col-lg-7">
               <% result.forEach(data => { %>
               <div class="isi-beranda">
                  <div class="row">
                     <!-- Foto Profil Isi -->
                     <div class="col-lg-1">
                        <img class="img-beranda"
                           src="http://pre14.deviantart.net/1846/th/pre/f/2012/322/c/0/face_illusion_by_west_ninja-d5lc6w2.jpg"
                           alt="" />
                     </div>
                     <div class="col-lg-10">
                        <!-- Setting -->
                        <a class="setting" href="#" role="button" data-toggle="dropdown" aria-haspopup="true"
                           aria-expanded="false">
                           <img src="views/assets/images/options.svg" class="img-setting" width="24px">
                        </a>
                        <div class="dropdown-menu" id="menu-setting">
                           <a class="dropdown-setting" href="#"> <i class="far fa-share-square"></i> Bagikan</a>
                           <a class="dropdown-setting" href="#"><i class="far fa-save"></i> Simpan</a>
                           <a class="dropdown-setting" href="#"><i class="far fa-bell"></i> Beritahu Perubahan</a>
                           <a class="dropdown-setting" href="#"><i class="far fa-frown"></i> Tidak tertarik</a>
                           <a class="dropdown-setting" href="#"><i class="far fa-flag"></i> Laporkan</a>
                        </div>
                        <!-- Keterangan Profile -->
                        <div class=profile-bar>
                           <div class="profile-nama"> <%= data.User.username %> </div>
                           <span class="profile-jenis">Forum</span>
                           <div class="profile-jurusan"> <%= data.User.bio %> </div>
                        </div>
                     </div>
                  </div>
                  <!-- Vote -->
                  <div class="row">
                     <div class="col-lg-1">
                        <div class="vote">
                           <div class="like">
                              <i class="fas fa-caret-up fa-3x like" aria-hidden="true"></i>
                           </div>
                           <div class="count-vote">
                              x
                           </div>
                           <div class="dislike">
                              <i class="fas fa-caret-down fa-3x like" aria-hidden="true"></i>
                           </div>
                        </div>
                     </div>
                     <!-- isi pertanyaan/Forum -->
                     <div class="col-sm-8 col-lg-10">
                        <div class="konten">
                           <a href="/questions/<%= data.id %> "><%= data.title %></a>
                        </div>
                        <!-- Preview Isi max 3 kalimat -->
                        <div class="preview-isi">
                           <%- data.question %>
                        </div>
                        <!-- Kategori Pertanyaan/forum -->
                        <ul class="tag-kategori">
                           <li class="kategori"> Sejarah </li>
                           <li class="kategori"> Teknik </li>
                        </ul>
                        <!-- Tombol Jawab -->
                        <a href="/questions/<%= data.id %>"><button class="btn-answer">
                              Jawab
                           </button></a>
                        <div class="konten-time">
                           2 menit yang lalu
                        </div>
                     </div>
                  </div>
                  <% }) %>
               </div>
            </div>
            <!-- Navbar Tambah pertanyaan/Forum -->
            <div class="col-sm-2 col-lg-2">
               <a href="#popup1" class="btn btn-add">Tambah</a>
               <div id="popup1" class="popup">
                  <img class="img-question" src="views/assets/images/question.svg" alt="" />
                  <div class="popup-judul">Apa yang ingin kamu Tambahkan? </div>
                  <a class="popup-pilihan" href="/questions">Pertanyaan</a>
               </div>
               <a href="#" class="close-popup"></a>
            </div>
         </div>
      </div>
   </section>
   <!-- Optional JavaScript -->
   <!-- Popper.js first, then Bootstrap JS -->
   <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
      integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
   </script>
   <script src="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/js/bootstrap.min.js"
      integrity="sha384-oesi62hOLfzrys4LxRF63OJCXdXDipiYWBnvTl9Y9/TRlw5xlKIEHpNyvvDShgf/" crossorigin="anonymous">
   </script>
   <script src="https://cdn
   </body>